<?php

namespace Siteguarding\Geoprot\Controller\Adminhtml\Backend;

use Magento\Framework\Controller\ResultFactory;

class Index extends \Magento\Backend\App\Action
{
    public function execute()
    {
        $page = $this->resultFactory->create(ResultFactory::TYPE_PAGE);
        $block = $page->getLayout()->getBlock('geoprot_block_adminhtml_backend_index');

        $action = '';

        if (isset($_REQUEST['action'])) {
            $action = $_REQUEST['action'];
        }

        if ($action != '') {
            switch ($action) {
                case 'EnableDisable_backend_protection':
                    $block->setData('enab_disab_prot_back', true);
                    break;
                case 'Save_backend_params':
                    $data = array();
                    if (isset($_POST['backend_ip_list'])) $data['backend_ip_list'] = $_POST['backend_ip_list'];
                    if (isset($_POST['backend_ip_list_allow'])) $data['backend_ip_list_allow'] = $_POST['backend_ip_list_allow'];
                    if (isset($_POST['country_list'])) $data['backend_country_list'] = $_POST['country_list'];
                    else $data['backend_country_list'] = array();
                    $block->setData('new_post_data', $data);
                    break;
            }
        }


        $this->_view->loadLayout();
        $this->_view->getLayout()->initMessages();
        $this->_view->renderLayout();
    }
}
