<?php

namespace Siteguarding\Geoprot\Controller\Adminhtml\Redirect;

use Magento\Framework\Controller\ResultFactory;

class Index extends \Magento\Backend\App\Action
{
    public function execute()
    {

        $page = $this->resultFactory->create(ResultFactory::TYPE_PAGE);
        $block = $page->getLayout()->getBlock('geoprot_block_adminhtml_redirect_index');

        $action = '';

        if (isset($_REQUEST['action'])) {
            $action = $_REQUEST['action'];
        }

        if ($action != '') {
            switch ($action) {
                case 'save_redirect_params':
                    $data['redirects'] = array();
                    $redirects = $_POST['redirect'];
                    if (is_array($redirects)) {
                        foreach ($redirects as $redirectCountryCode => $redirectURL) {
                            $data['redirects'][$redirectCountryCode] = $redirectURL;
                        }
                    }
                    $data['redirects'] = array_filter($data['redirects']);
                    $block->setData('new_post_data', $data);
                    break;
            }
        }


        $this->_view->loadLayout();
        $this->_view->getLayout()->initMessages();
        $this->_view->renderLayout();
    }
}
