<?php

namespace Siteguarding\Geoprot\Controller\Adminhtml\Settings;

use Magento\Framework\Controller\ResultFactory;

class Index extends \Magento\Backend\App\Action
{

    public function execute()
    {
        $page = $this->resultFactory->create(ResultFactory::TYPE_PAGE);
        $block = $page->getLayout()->getBlock('geoprot_block_adminhtml_settings_index');

        $action = '';

        if (isset($_REQUEST['action'])) {
            $action = $_REQUEST['action'];
        }

        if ($action != '') {
            switch ($action) {
                case 'Save_Settings':
                    $data = array();
                    if (isset($_POST['registration_code'])) $data['registration_code'] = $_POST['registration_code'];

                    $action_message = 'Settings saved';

                    $message_data = array(
                        'type' => 'info',
                        'header' => '',
                        'message' => $action_message,
                        'button_text' => '',
                        'button_url' => '',
                        'help_text' => ''
                    );

                    $block->setData('message_data', $message_data);
                    $block->setData('data', $data);

                    break;
            }
        }

        $this->_view->loadLayout();
        $this->_view->getLayout()->initMessages();
        $this->_view->renderLayout();
    }
}
