<?php

namespace Siteguarding\Geoprot\Controller\Adminhtml\Style;

use Magento\Framework\Controller\ResultFactory;

class Index extends \Magento\Backend\App\Action
{
    public function execute()
    {

        $page = $this->resultFactory->create(ResultFactory::TYPE_PAGE);
        $block = $page->getLayout()->getBlock('geoprot_block_adminhtml_style_index');

        $action = '';

        if (isset($_REQUEST['action'])) {
            $action = $_REQUEST['action'];
        }

        if ($action != '') {
            switch ($action) {
                case 'Customization_save':
                    $data = array();
                    if (isset($_POST['custom_status'])) $data['custom_status'] = intval($_POST['custom_status']);
                    else $data['custom_status'] = 0;
                    if (isset($_POST['logo_url'])) $data['logo_url'] = $_POST['logo_url'];
                        if (isset($_POST['text_1'])) $data['text_1'] = $_POST['text_1'];
                        if (isset($_POST['text_2'])) $data['text_2'] = $_POST['text_2'];
                        if (isset($_POST['hide_ipinfo'])) $data['hide_ipinfo'] = intval($_POST['hide_ipinfo']);
                        else $data['hide_ipinfo'] = 0;
                        if (isset($_POST['hide_debug'])) $data['hide_debug'] = intval($_POST['hide_debug']);
                        else $data['hide_debug'] = 0;
                    $block->setData('new_post_data', $data);

                    break;
            }
        }


        $this->_view->loadLayout();
        $this->_view->getLayout()->initMessages();
        $this->_view->renderLayout();
    }
}
